Subject: Re: [lojban] Re: importing ro

From: [email-masked]
Date: Wed, 6 Nov 2002 19:16:07 EST

In a message dated 11/6/2002 1:52:52 PM Central Standard Time, 
[email-masked] writes:
<<
> 1) "non-importing ro"
> ro broda cu brode
> = ro da zo'u ganai da broda gi da brode
>>
No, {ga ro broda cu brode gi no broda cu broda} = the last part.

<<
(5) "DeMorgan"
    ro broda cu brode = naku su'o broda naku brode
Not relevant at this point, but it would be {naku me'iro broda cu brode} -- 
DeMorgan requires the connectives.

<<
(3) "non-importing su'o"
    su'o broda cu brode
    = ganai de broda gi su'o da zo'u ge da broda gi da brode
:
Nobody wants (3) so we all agree to discard B and D. 
Actually, non-importing {su'o}, or its analog is just about right for 
{mei'ro},in fact could be written {me'iro broda naku brode}. Of course, for 
unrestricted quantifiers, since the domain is never empty, the 
importing/non-importing distinction collapses.  
And for restricted quantifiers, there are four cses not yet dealt with, as 
well as a number of other negation rules, so this is only a partial display 
of the possibilities.

<<
The self-consistent possibilities are:

A- (1), (4) and (5)
B- (2), (3) and (5)
C- (2) and (4)
D- (1) and (3)
Not drawn from a full list -- nor accurately presented as it stands.
The A set work perfectly (of course) for unrestricted quantifiers ((1) just 
doesn't mean 
{ro broda cu brode}, as noted). And there are other possibilities nowhere 
mentioned here -- importing and non-importing {no} and {mi'ero}.

<<
The Book supports in one part or another (2), (4) and (5)
which is an inconsistent position.
It is, of course, since it is the way logic works. Though the book is a tad 
confused -- as aren't we all -- about what is being imported.

<<
If we want to keep DeMorgan, then we must choose A or B. Nobody
wants (3) so we all agree to discard B and D. pc prefers C,
sacrificing DeMorgan as expressed in (5). I prefer A, because
I think (5) is valuable and I don't find (1) counterintuitive.
pc prefers C in conjunction with non-importing {no} and {me'iro} and the pure 
quantifier laws for quantifiers (which reduce to "DeMorgan" in the 
unrestricted cases). If you really want 1, notice that you have it in Lojban 
the same way you always have had it in Logic and Mathematics: an unrestricted 
universally quantified conditional. Why would you expect different in a 
language that is spoken Formal Logic?